kepa
Merchant Identity/createMerchant

Create merchant

POST/v1/merchants
Internal · kepa staffrequires merchants.manage
Creates the canonical merchant profile. Optionally creates a one-shot server-side merchant API key.

Request body

application/json

displayNamestringRequired
Example "Kepa Coffee"
legalNamestring
countryCodestring
defaultCurrencyCodestring
allowedPackageNamesarray
createApiKeyboolean

createMerchant

POSTGo API
https://api.kepapay.co/v1/merchants
Request
curl https://api.kepapay.co/v1/merchants \
  -H "X-Api-Key: $KEPA_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "displayName": "Kepa Coffee",
  "legalName": "string",
  "countryCode": "string",
  "defaultCurrencyCode": "string",
  "allowedPackageNames": [
    "string"
  ],
  "createApiKey": true
}'
Response

No body